/maintainx-inventory | Type: Application | PCID required: Yes
Tools
maintainx_inventory_create_manufacturers
Create new manufacturer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
x-organization-id | integer | No | — | Required if using a multi organizations token |
name | string | Yes | — | Manufacturer name. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
},
"name": {
"type": "string",
"description": "Manufacturer name."
}
},
"required": [
"PCID",
"name"
]
}
maintainx_inventory_create_models
Create new model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
x-organization-id | integer | No | — | Required if using a multi organizations token |
manufacturerId | integer | Yes | — | Manufacturer ID the model belongs to. |
name | string | Yes | — | Model name. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
},
"manufacturerId": {
"type": "integer",
"description": "Manufacturer ID the model belongs to."
},
"name": {
"type": "string",
"description": "Model name."
}
},
"required": [
"PCID",
"manufacturerId",
"name"
]
}
maintainx_inventory_create_parts
Create new part Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
x-organization-id | integer | No | — | Required if using a multi organizations token | |
area | string | null | No | — | Area of the part. Deprecated: Use new field inside locations. Will cause error if both fields are sent. |
assetIds | integer[] | No | — | List of asset IDs | |
availableQuantity | integer | No | — | Total quantity currently in stock. Deprecated: Use new field inside locations. Will cause error if both fields are sent. | |
barcode | string | null | No | — | String encoded barcode |
description | string | null | No | — | The description value |
extraFields | object | No | — | Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Part Number”) | |
locationId | integer | null | No | — | ID of the location where the part is located. Deprecated: Use new field inside locations. Will cause error if both fields are sent. |
locations | object[] | No | — | Detailed list of locations where the part is stored, including properties such as available quantity, minimum quantity, reserved quantity, and area within each location. | |
minimumQuantity | integer | No | — | Total minimum quantity before you should restock. Deprecated: Use new field inside locations. Will cause error if both fields are sent. | |
name | string | Yes | — | The name value | |
partTypes | string[] | No | — | List of part types | |
teamIds | integer[] | No | — | List of team IDs in charge of the part | |
unitCost | integer | null | No | — | Cost in cents. For example, for $1.20, put 120. |
vendorIds | integer[] | No | — | List of vendor IDs. Deprecated: Use the vendorId field inside vendors. | |
vendors | object[] | No | — | List of vendors of the part |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
},
"area": {
"type": [
"string",
"null"
],
"description": "Area of the part. Deprecated: Use new field inside `locations`. Will cause error if both fields are sent."
},
"assetIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "List of asset IDs"
},
"availableQuantity": {
"type": "integer",
"description": "Total quantity currently in stock. Deprecated: Use new field inside `locations`. Will cause error if both fields are sent."
},
"barcode": {
"type": [
"string",
"null"
],
"description": "String encoded barcode"
},
"description": {
"type": [
"string",
"null"
],
"description": "The description value"
},
"extraFields": {
"type": "object",
"description": "Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: \"Part Number\")"
},
"locationId": {
"type": [
"integer",
"null"
],
"description": "ID of the location where the part is located. Deprecated: Use new field inside `locations`. Will cause error if both fields are sent."
},
"locations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"locationId": {
"type": "integer",
"description": "ID of the location where the part is located"
},
"availableQuantity": {
"type": "integer",
"description": "Quantity currently in stock"
},
"minimumQuantity": {
"type": "integer",
"description": "Minimum quantity before you should restock"
},
"area": {
"type": "string",
"description": "The area value"
}
},
"required": [
"locationId"
]
},
"description": "Detailed list of locations where the part is stored, including properties such as available quantity, minimum quantity, reserved quantity, and area within each location."
},
"minimumQuantity": {
"type": "integer",
"description": "Total minimum quantity before you should restock. Deprecated: Use new field inside `locations`. Will cause error if both fields are sent."
},
"name": {
"type": "string",
"description": "The name value"
},
"partTypes": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of part types"
},
"teamIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "List of team IDs in charge of the part"
},
"unitCost": {
"type": [
"integer",
"null"
],
"description": "Cost in cents. For example, for $1.20, put 120."
},
"vendorIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "List of vendor IDs. Deprecated: Use the `vendorId` field inside `vendors`."
},
"vendors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"vendorId": {
"type": "integer",
"description": "Id of the vendor"
},
"partNumber": {
"type": "string",
"description": "Part number given to the part by this vendor"
}
}
},
"description": "List of vendors of the part"
}
},
"required": [
"PCID",
"name"
]
}
maintainx_inventory_create_parttransferrequests
Create a part transfer request Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
destinationPartId | integer | Yes | — | ID of the part that belongs to the organization performing the request. (Receiving stocks) | |
quantityRequested | integer | Yes | — | Quantity of parts requested for transfer. | |
requestMessage | string | null | No | — | Message to give context surrounding the part transfer request. |
sourcePartId | integer | Yes | — | ID of the part that belongs to the organization receiving the request. (Sending stocks) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"destinationPartId": {
"type": "integer",
"description": "ID of the part that belongs to the organization performing the request. (Receiving stocks)"
},
"quantityRequested": {
"type": "integer",
"description": "Quantity of parts requested for transfer."
},
"requestMessage": {
"type": [
"string",
"null"
],
"description": "Message to give context surrounding the part transfer request."
},
"sourcePartId": {
"type": "integer",
"description": "ID of the part that belongs to the organization receiving the request. (Sending stocks)"
}
},
"required": [
"PCID",
"destinationPartId",
"quantityRequested",
"sourcePartId"
]
}
maintainx_inventory_create_purchaseorders
Create new purchase order Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
x-organization-id | integer | No | — | Required if using a multi organizations token | |
billingAddress | object | No | — | Billing address in the Purchase Order | |
billingAddressId | number | null | No | — | Billing address Id in the Purchase Order |
costs | object[] | No | — | List of costs in the Purchase Order | |
deletedAt | string | null | No | — | Date at which the Purchase Order was deleted |
dueDate | string | null | No | — | Due date of Purchase Order |
extraFields | object | No | — | Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Ordered Date”) | |
items | object[] | Yes | — | List of items in the Purchase Order | |
note | string | null | No | — | Notes left for Purchase Orders |
overrideNumber | string | null | No | — | Custom number/identifier for Purchase Order |
shippingAddress | object | No | — | Shipping address in the Purchase Order | |
shippingAddressId | number | null | No | — | Shipping address Id in the Purchase Order |
title | string | null | No | — | Title of the Purchase Order. Will be ignored if organization setting for custom purchase order titles is disabled. |
vendorContactIds | number[] | No | — | List of vendor contact IDs in the Purchase Order | |
vendorId | number | null | Yes | — | ID of vendor that this Purchase Order is associated with |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
},
"billingAddress": {
"type": "object",
"description": "Billing address in the Purchase Order",
"properties": {
"city": {
"type": "string",
"description": "The city value"
},
"country": {
"type": "string",
"description": "The country value"
},
"postalCode": {
"type": "string",
"description": "Postal Code"
},
"state": {
"type": "string",
"description": "The state value"
},
"street": {
"type": "string",
"description": "The street value"
},
"label": {
"type": "string",
"description": "A string to specify how the address will be displayed - Defaults to Street, City, Province/State, Postal Code, Country"
}
},
"required": [
"city",
"country",
"postalCode",
"state",
"street"
]
},
"billingAddressId": {
"type": [
"number",
"null"
],
"description": "Billing address Id in the Purchase Order"
},
"costs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Description of the cost"
},
"type": {
"type": "string",
"enum": [
"AMOUNT_NON_TAXABLE",
"AMOUNT_TAXABLE",
"PERCENT_TAXABLE"
],
"description": "Type of cost in either cents or percent. Accepted types in cents are AMOUNT_TAXABLE and AMOUNT_NON_TAXABLE. For percentage use PERCENT_TAXABLE"
},
"amount": {
"type": "number",
"description": "The amount value"
}
},
"required": [
"name",
"type",
"amount"
]
},
"description": "List of costs in the Purchase Order"
},
"deletedAt": {
"type": [
"string",
"null"
],
"description": "Date at which the Purchase Order was deleted"
},
"dueDate": {
"type": [
"string",
"null"
],
"description": "Due date of Purchase Order"
},
"extraFields": {
"type": "object",
"description": "Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: \"Ordered Date\")"
},
"items": {
"type": "array",
"items": {
"type": "object",
"properties": {
"partId": {
"type": "number",
"description": "ID of the part this item is related to"
},
"name": {
"type": "string",
"description": "The name value"
},
"partNumber": {
"type": "string",
"description": "Part Number"
},
"price": {
"type": "number",
"description": "Total price of items in cents"
},
"quantityOrdered": {
"type": "number",
"description": "Represent the amount of units for this item that were ordered in the purchase order."
},
"quantityReceived": {
"type": "number",
"description": "Represents the total amount of this specific item that has been received to date."
},
"unitCost": {
"type": "number",
"description": "Price of a single item in cents"
},
"extraFields": {
"type": "object",
"description": "Custom Fields on the entity. Deprecated: Use `lineExtraFields` instead."
},
"lineExtraFields": {
"type": "object",
"description": "Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: \"Ordered Date\")"
}
},
"required": [
"quantityOrdered"
]
},
"description": "List of items in the Purchase Order"
},
"note": {
"type": [
"string",
"null"
],
"description": "Notes left for Purchase Orders"
},
"overrideNumber": {
"type": [
"string",
"null"
],
"description": "Custom number/identifier for Purchase Order"
},
"shippingAddress": {
"type": "object",
"description": "Shipping address in the Purchase Order",
"properties": {
"city": {
"type": "string",
"description": "The city value"
},
"country": {
"type": "string",
"description": "The country value"
},
"postalCode": {
"type": "string",
"description": "Postal Code"
},
"state": {
"type": "string",
"description": "The state value"
},
"street": {
"type": "string",
"description": "The street value"
},
"label": {
"type": "string",
"description": "A string to specify how the address will be displayed - Defaults to Street, City, Province/State, Postal Code, Country"
}
},
"required": [
"city",
"country",
"postalCode",
"state",
"street"
]
},
"shippingAddressId": {
"type": [
"number",
"null"
],
"description": "Shipping address Id in the Purchase Order"
},
"title": {
"type": [
"string",
"null"
],
"description": "Title of the Purchase Order. Will be ignored if organization setting for custom purchase order titles is disabled."
},
"vendorContactIds": {
"type": "array",
"items": {
"type": "number"
},
"description": "List of vendor contact IDs in the Purchase Order"
},
"vendorId": {
"type": [
"number",
"null"
],
"description": "ID of vendor that this Purchase Order is associated with"
}
},
"required": [
"PCID",
"items",
"vendorId"
]
}
maintainx_inventory_create_purchaseorders_comments
Create new comment on a purchase order Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Global ID of the purchase order |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
content | string | Yes | — | Content of the comment to post |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Global ID of the purchase order"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"content": {
"type": "string",
"description": "Content of the comment to post"
}
},
"required": [
"PCID",
"id",
"content"
]
}
maintainx_inventory_create_purchaseorders_emails
Send Purchase Order as an email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Global ID of the Purchase Order |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
emails | string[] | No | — | Emails to send the Purchase Order to |
emailsCC | string[] | No | — | Emails to send the Purchase Order to as a carbon copy (CC) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Global ID of the Purchase Order"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"emails": {
"type": "array",
"items": {
"type": "string"
},
"description": "Emails to send the Purchase Order to"
},
"emailsCC": {
"type": "array",
"items": {
"type": "string"
},
"description": "Emails to send the Purchase Order to as a carbon copy (CC)"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_create_vendors
Create new vendor Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
x-organization-id | integer | No | — | Required if using a multi organizations token | |
description | string | null | No | — | The description value |
emails | string[] | No | — | List of email address | |
extraFields | object | No | — | Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Qualifications”) | |
name | string | Yes | — | The name value | |
phoneNumbers | string[] | No | — | List of phone number |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
},
"description": {
"type": [
"string",
"null"
],
"description": "The description value"
},
"emails": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of email address"
},
"extraFields": {
"type": "object",
"description": "Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: \"Qualifications\")"
},
"name": {
"type": "string",
"description": "The name value"
},
"phoneNumbers": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of phone number"
}
},
"required": [
"PCID",
"name"
]
}
maintainx_inventory_create_vendors_contacts
Create new contact Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | integer | Yes | — | ID of the vendor | |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
email | string | null | No | — | Email address of contact. |
extension | string | null | No | — | Phone number extension |
name | string | Yes | — | The name value | |
phoneNumber | string | null | No | — | Phone number of contact |
role | string | null | No | — | Role/Label of the contact. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the vendor"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"email": {
"type": [
"string",
"null"
],
"description": "Email address of contact."
},
"extension": {
"type": [
"string",
"null"
],
"description": "Phone number extension"
},
"name": {
"type": "string",
"description": "The name value"
},
"phoneNumber": {
"type": [
"string",
"null"
],
"description": "Phone number of contact"
},
"role": {
"type": [
"string",
"null"
],
"description": "Role/Label of the contact."
}
},
"required": [
"PCID",
"id",
"name"
]
}
maintainx_inventory_delete_parts
Delete part Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the part |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the part"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_delete_parts_attachments
Remove part attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the part. |
filename | string | Yes | — | Name of the attachment, including the extension. |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the part."
},
"filename": {
"type": "string",
"description": "Name of the attachment, including the extension."
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
}
},
"required": [
"PCID",
"id",
"filename"
]
}
maintainx_inventory_delete_purchaseorders
Delete purchaseOrder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the purchaseOrder |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the purchaseOrder"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_delete_purchaseorders_attachments
Remove purchase order attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the purchase order. |
filename | string | Yes | — | Name of the attachment, including the extension. |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the purchase order."
},
"filename": {
"type": "string",
"description": "Name of the attachment, including the extension."
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
}
},
"required": [
"PCID",
"id",
"filename"
]
}
maintainx_inventory_delete_vendors
Delete vendor Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the vendor |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the vendor"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_delete_vendors_attachments
Remove vendor attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the vendor. |
filename | string | Yes | — | Name of the attachment, including the extension. |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the vendor."
},
"filename": {
"type": "string",
"description": "Name of the attachment, including the extension."
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
}
},
"required": [
"PCID",
"id",
"filename"
]
}
maintainx_inventory_delete_vendors_contacts
Delete contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the vendor |
contactId | integer | Yes | — | ID of the contact |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the vendor"
},
"contactId": {
"type": "integer",
"description": "ID of the contact"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
}
},
"required": [
"PCID",
"id",
"contactId"
]
}
maintainx_inventory_get_manufacturers
Get manufacturer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the manufacturer |
x-organization-id | integer | No | — | Required if using a multi organizations token |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the manufacturer"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_get_models
Get model Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the model |
x-organization-id | integer | No | — | Required if using a multi organizations token |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the model"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_get_parts
Get part Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the part |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the part"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_get_parttransferrequests
Get part transfer request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the partTransferRequest |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the partTransferRequest"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_get_purchaseorders
Get purchase order Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the purchaseOrder |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the purchaseOrder"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_get_vendors
Get vendor Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the vendor |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the vendor"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_get_vendors_contacts
List contacts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Last pagination reference |
limit | integer | No | — | max number of Contacts returned |
id | integer | Yes | — | ID of the vendor |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Last pagination reference"
},
"limit": {
"type": "integer",
"description": "max number of Contacts returned"
},
"id": {
"type": "integer",
"description": "ID of the vendor"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_get_vendors_contacts_2
Get contact Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the vendor |
contactId | integer | Yes | — | ID of the contact |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the vendor"
},
"contactId": {
"type": "integer",
"description": "ID of the contact"
}
},
"required": [
"PCID",
"id",
"contactId"
]
}
maintainx_inventory_list_manufacturers
List manufacturers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Last pagination reference |
limit | integer | No | — | max number of Manufacturers returned |
x-organization-id | integer | No | — | Required if using a multi organizations token |
x-organization-ids | string | No | — | Required if using a multi organizations token and doing an operation on resources from multiple organizations. This is mutually exclusive with the x-organization-id header (use one or the other). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Last pagination reference"
},
"limit": {
"type": "integer",
"description": "max number of Manufacturers returned"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
},
"x-organization-ids": {
"type": "string",
"description": "Required if using a multi organizations token and doing an operation on resources from multiple organizations. This is mutually exclusive with the x-organization-id header (use one or the other)."
}
},
"required": [
"PCID"
]
}
maintainx_inventory_list_models
List models Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Last pagination reference |
limit | integer | No | — | max number of Models returned |
x-organization-id | integer | No | — | Required if using a multi organizations token |
x-organization-ids | string | No | — | Required if using a multi organizations token and doing an operation on resources from multiple organizations. This is mutually exclusive with the x-organization-id header (use one or the other). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Last pagination reference"
},
"limit": {
"type": "integer",
"description": "max number of Models returned"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
},
"x-organization-ids": {
"type": "string",
"description": "Required if using a multi organizations token and doing an operation on resources from multiple organizations. This is mutually exclusive with the x-organization-id header (use one or the other)."
}
},
"required": [
"PCID"
]
}
maintainx_inventory_list_parts
List parts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Last pagination reference |
limit | integer | No | — | max number of Parts returned |
partNumber | string[] | No | — | Will only show parts that have a vendor with this part number associated to them. |
customFieldName | string[] | No | — | Filter parts by custom field value. Your query parameter should be your custom field name. (ie: To filter by a custom field named “Industry” with the value “Construction”, you would do this “/parts?Industry=Construction”). <br><br>Adding multiple instance of the same custom field act as an <code>OR</code> and adding a different custom field act as an <code>AND</code>. (ie: To filter by a custom field named <code>Industry</code> with the value <code>Construction</code> OR <code>Transportation</code> AND the custom field <code>Manufacturer</code> with the value <code>ACME</code>, you would do this <code>/parts?Industry=Construction&Industry=Transportation&Manufacturer=ACME</code>). <br><br>If your custom field label is the same as a reserved query parameter such as <code>limit</code>, <code>sort</code>, <code>expand</code>, etc, you can add <code>__c</code> to your custom field filtering (ie: To filter by a custom field named <code>limit</code> with the value <code>ten</code>, you would do this <code>/parts?limit__c=ten</code>). <br><br>Note that your custom field needs to be created beforehand. Only number and single line text custom field types are supported. |
sort | string | No | — | Attribute on which to sort the list. (for descending order, prefix attribute with ’-’). |
expand | string[] | No | — | To expand multiple fields: expand=extra_fields&expand=vendors |
x-organization-id | integer | No | — | Required if using a multi organizations token |
x-organization-ids | string | No | — | Required if using a multi organizations token and doing an operation on resources from multiple organizations. This is mutually exclusive with the x-organization-id header (use one or the other). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Last pagination reference"
},
"limit": {
"type": "integer",
"description": "max number of Parts returned"
},
"partNumber": {
"type": "array",
"items": {
"type": "string"
},
"description": "Will only show parts that have a vendor with this part number associated to them."
},
"customFieldName": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter parts by custom field value. Your query parameter should be your custom field name. (ie: To filter by a custom field named \"Industry\" with the value \"Construction\", you would do this \"/parts?Industry=Construction\"). <br><br>Adding multiple instance of the same custom field act as an <code>OR</code> and adding a different custom field act as an <code>AND</code>. (ie: To filter by a custom field named <code>Industry</code> with the value <code>Construction</code> OR <code>Transportation</code> AND the custom field <code>Manufacturer</code> with the value <code>ACME</code>, you would do this <code>/parts?Industry=Construction&Industry=Transportation&Manufacturer=ACME</code>). <br><br>If your custom field label is the same as a reserved query parameter such as <code>limit</code>, <code>sort</code>, <code>expand</code>, etc, you can add <code>__c</code> to your custom field filtering (ie: To filter by a custom field named <code>limit</code> with the value <code>ten</code>, you would do this <code>/parts?limit__c=ten</code>). <br><br>Note that your custom field needs to be created beforehand. Only number and single line text custom field types are supported."
},
"sort": {
"type": "string",
"description": "Attribute on which to sort the list. (for descending order, prefix attribute with '-').",
"enum": [
"id",
"createdAt",
"updatedAt",
"-id",
"-createdAt",
"-updatedAt"
]
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"extra_fields",
"vendors"
]
},
"description": "To expand multiple fields: `expand=extra_fields&expand=vendors`"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
},
"x-organization-ids": {
"type": "string",
"description": "Required if using a multi organizations token and doing an operation on resources from multiple organizations. This is mutually exclusive with the x-organization-id header (use one or the other)."
}
},
"required": [
"PCID"
]
}
maintainx_inventory_list_parttransferrequests
List part transfer requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Last pagination reference |
limit | integer | No | — | max number of Part Transfer Requests returned |
statuses | string[] | No | — | To filter by multiple status: status=APPROVED&status=DECLINED |
x-organization-id | integer | No | — | Required if using a multi organizations token |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Last pagination reference"
},
"limit": {
"type": "integer",
"description": "max number of Part Transfer Requests returned"
},
"statuses": {
"type": "array",
"items": {
"type": "string",
"enum": [
"APPROVED",
"CANCELED",
"COMPLETED",
"DECLINED",
"PENDING"
]
},
"description": "To filter by multiple status: `status=APPROVED&status=DECLINED`"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
}
},
"required": [
"PCID"
]
}
maintainx_inventory_list_purchaseorders
List purchase orders Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Last pagination reference |
limit | integer | No | — | max number of Purchase Orders returned |
customFieldName | string[] | No | — | Filter purchase orders by custom field value. Your query parameter should be your custom field name. (ie: To filter by a custom field named “Industry” with the value “Construction”, you would do this “/purchaseorders?Industry=Construction”). <br><br>Adding multiple instance of the same custom field act as an <code>OR</code> and adding a different custom field act as an <code>AND</code>. (ie: To filter by a custom field named <code>Industry</code> with the value <code>Construction</code> OR <code>Transportation</code> AND the custom field <code>Manufacturer</code> with the value <code>ACME</code>, you would do this <code>/purchaseorders?Industry=Construction&Industry=Transportation&Manufacturer=ACME</code>). <br><br>If your custom field label is the same as a reserved query parameter such as <code>limit</code>, <code>sort</code>, <code>expand</code>, etc, you can add <code>__c</code> to your custom field filtering (ie: To filter by a custom field named <code>limit</code> with the value <code>ten</code>, you would do this <code>/purchaseorders?limit__c=ten</code>). <br><br>Note that your custom field needs to be created beforehand. Only number and single line text custom field types are supported. |
x-organization-id | integer | No | — | Required if using a multi organizations token |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Last pagination reference"
},
"limit": {
"type": "integer",
"description": "max number of Purchase Orders returned"
},
"customFieldName": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter purchase orders by custom field value. Your query parameter should be your custom field name. (ie: To filter by a custom field named \"Industry\" with the value \"Construction\", you would do this \"/purchaseorders?Industry=Construction\"). <br><br>Adding multiple instance of the same custom field act as an <code>OR</code> and adding a different custom field act as an <code>AND</code>. (ie: To filter by a custom field named <code>Industry</code> with the value <code>Construction</code> OR <code>Transportation</code> AND the custom field <code>Manufacturer</code> with the value <code>ACME</code>, you would do this <code>/purchaseorders?Industry=Construction&Industry=Transportation&Manufacturer=ACME</code>). <br><br>If your custom field label is the same as a reserved query parameter such as <code>limit</code>, <code>sort</code>, <code>expand</code>, etc, you can add <code>__c</code> to your custom field filtering (ie: To filter by a custom field named <code>limit</code> with the value <code>ten</code>, you would do this <code>/purchaseorders?limit__c=ten</code>). <br><br>Note that your custom field needs to be created beforehand. Only number and single line text custom field types are supported."
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
}
},
"required": [
"PCID"
]
}
maintainx_inventory_list_vendors
List vendors Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Last pagination reference |
limit | integer | No | — | max number of Vendors returned |
customFieldName | string[] | No | — | Filter vendors by custom field value. Your query parameter should be your custom field name. (ie: To filter by a custom field named “Industry” with the value “Construction”, you would do this “/vendors?Industry=Construction”). <br><br>Adding multiple instance of the same custom field act as an <code>OR</code> and adding a different custom field act as an <code>AND</code>. (ie: To filter by a custom field named <code>Industry</code> with the value <code>Construction</code> OR <code>Transportation</code> AND the custom field <code>Manufacturer</code> with the value <code>ACME</code>, you would do this <code>/vendors?Industry=Construction&Industry=Transportation&Manufacturer=ACME</code>). <br><br>If your custom field label is the same as a reserved query parameter such as <code>limit</code>, <code>sort</code>, <code>expand</code>, etc, you can add <code>__c</code> to your custom field filtering (ie: To filter by a custom field named <code>limit</code> with the value <code>ten</code>, you would do this <code>/vendors?limit__c=ten</code>). <br><br>Note that your custom field needs to be created beforehand. Only number and single line text custom field types are supported. |
expand | string[] | No | — | Related resources to expand inline |
x-organization-id | integer | No | — | Required if using a multi organizations token |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Last pagination reference"
},
"limit": {
"type": "integer",
"description": "max number of Vendors returned"
},
"customFieldName": {
"type": "array",
"items": {
"type": "string"
},
"description": "Filter vendors by custom field value. Your query parameter should be your custom field name. (ie: To filter by a custom field named \"Industry\" with the value \"Construction\", you would do this \"/vendors?Industry=Construction\"). <br><br>Adding multiple instance of the same custom field act as an <code>OR</code> and adding a different custom field act as an <code>AND</code>. (ie: To filter by a custom field named <code>Industry</code> with the value <code>Construction</code> OR <code>Transportation</code> AND the custom field <code>Manufacturer</code> with the value <code>ACME</code>, you would do this <code>/vendors?Industry=Construction&Industry=Transportation&Manufacturer=ACME</code>). <br><br>If your custom field label is the same as a reserved query parameter such as <code>limit</code>, <code>sort</code>, <code>expand</code>, etc, you can add <code>__c</code> to your custom field filtering (ie: To filter by a custom field named <code>limit</code> with the value <code>ten</code>, you would do this <code>/vendors?limit__c=ten</code>). <br><br>Note that your custom field needs to be created beforehand. Only number and single line text custom field types are supported."
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"extra_fields"
]
},
"description": "Related resources to expand inline"
},
"x-organization-id": {
"type": "integer",
"description": "Required if using a multi organizations token"
}
},
"required": [
"PCID"
]
}
maintainx_inventory_list_vendors_contacts
List contacts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Last pagination reference |
limit | integer | No | — | max number of Contacts returned |
id | integer | Yes | — | ID of the vendor |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "Last pagination reference"
},
"limit": {
"type": "integer",
"description": "max number of Contacts returned"
},
"id": {
"type": "integer",
"description": "ID of the vendor"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_update_parts
Update part Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | integer | Yes | — | ID of the part | |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
area | string | null | No | — | Area of the part. Deprecated: Use new field inside locations. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information. |
assetIds | integer[] | No | — | List of asset IDs | |
availableQuantity | integer | No | — | Total quantity currently in stock. Deprecated: Use new field inside locations. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information. | |
barcode | string | null | No | — | String encoded barcode |
createdAt | string | No | — | Date & time at which the part was created | |
deletedAt | string | null | No | — | Date at which the part was deleted |
description | string | null | No | — | The description value |
extraFields | object | No | — | Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Part Number”) | |
locationId | integer | null | No | — | ID of the location where the part is located. Deprecated: Use new field inside locations. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information. |
locations | object | No | — | List of locations to add, update or remove. | |
minimumQuantity | integer | No | — | Total minimum quantity before you should restock. Deprecated: Use new field inside locations. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information. | |
name | string | No | — | The name value | |
partTypes | string[] | No | — | List of part types | |
teamIds | integer[] | No | — | List of team IDs in charge of the part | |
unitCost | integer | null | No | — | Cost in cents. For example, for $1.20, put 120. |
updatedAt | string | No | — | Date & time at which the part was last updated. This doesn’t include comments | |
vendorIds | integer[] | No | — | List of vendor IDs. Deprecated: Use the vendorId field inside vendors. | |
vendors | object[] | No | — | List of vendors of the part |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the part"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"area": {
"type": [
"string",
"null"
],
"description": "Area of the part. Deprecated: Use new field inside `locations`. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information."
},
"assetIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "List of asset IDs"
},
"availableQuantity": {
"type": "integer",
"description": "Total quantity currently in stock. Deprecated: Use new field inside `locations`. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information."
},
"barcode": {
"type": [
"string",
"null"
],
"description": "String encoded barcode"
},
"createdAt": {
"type": "string",
"description": "Date & time at which the part was created"
},
"deletedAt": {
"type": [
"string",
"null"
],
"description": "Date at which the part was deleted"
},
"description": {
"type": [
"string",
"null"
],
"description": "The description value"
},
"extraFields": {
"type": "object",
"description": "Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: \"Part Number\")"
},
"locationId": {
"type": [
"integer",
"null"
],
"description": "ID of the location where the part is located. Deprecated: Use new field inside `locations`. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information."
},
"locations": {
"type": "object",
"description": "List of locations to add, update or remove.",
"properties": {
"addedUpdated": {
"type": "array",
"items": {
"type": "object"
},
"description": "List of locations to add or update"
},
"removedLocationIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "List of location IDs to remove from the part"
}
}
},
"minimumQuantity": {
"type": "integer",
"description": "Total minimum quantity before you should restock. Deprecated: Use new field inside `locations`. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information."
},
"name": {
"type": "string",
"description": "The name value"
},
"partTypes": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of part types"
},
"teamIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "List of team IDs in charge of the part"
},
"unitCost": {
"type": [
"integer",
"null"
],
"description": "Cost in cents. For example, for $1.20, put 120."
},
"updatedAt": {
"type": "string",
"description": "Date & time at which the part was last updated. This doesn't include comments"
},
"vendorIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "List of vendor IDs. Deprecated: Use the `vendorId` field inside `vendors`."
},
"vendors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"vendorId": {
"type": "integer",
"description": "Id of the vendor"
},
"partNumber": {
"type": "string",
"description": "Part number given to the part by this vendor"
}
}
},
"description": "List of vendors of the part"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_update_parttransferrequests
Update part transfer request Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | integer | Yes | — | ID of the part transfer request | |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
destinationLocations | object[] | No | — | Locations into which the transferred parts were received. (Receiving stocks) | |
quantity | integer | null | No | — | Quantity to update for the relevant status. |
responseMessage | string | null | No | — | Message to give context surrounding the transfer of the part transfer request. |
sourceLocationId | integer | No | — | ID of the location in the organization from which parts were transferred. (Sending stocks) | |
status | string | No | — | Status of the part transfer request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the part transfer request"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"destinationLocations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"locationId": {
"type": "integer",
"format": "integer",
"description": "ID of the location in the organization where the part is being received. (Receiving stocks)"
},
"quantity": {
"type": "integer",
"format": "integer",
"description": "Quantity of parts received."
}
},
"required": [
"quantity"
]
},
"description": "Locations into which the transferred parts were received. (Receiving stocks)"
},
"quantity": {
"type": [
"integer",
"null"
],
"description": "Quantity to update for the relevant status."
},
"responseMessage": {
"type": [
"string",
"null"
],
"description": "Message to give context surrounding the transfer of the part transfer request."
},
"sourceLocationId": {
"type": "integer",
"description": "ID of the location in the organization from which parts were transferred. (Sending stocks)"
},
"status": {
"type": "string",
"description": "Status of the part transfer request.",
"enum": [
"APPROVED",
"CANCELED",
"COMPLETED",
"DECLINED",
"PENDING"
]
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_update_purchaseorders
Update purchase order Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | number | Yes | — | The id value | |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
billingAddress | object | No | — | Billing address in the Purchase Order | |
billingAddressId | number | null | No | — | Billing address Id in the Purchase Order |
costs | object[] | No | — | List of costs in the Purchase Order | |
deletedAt | string | null | No | — | Date at which the Purchase Order was deleted |
dueDate | string | null | No | — | Due date of Purchase Order |
extraFields | object | No | — | Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Ordered Date”) | |
items | object[] | No | — | List of items in the Purchase Order | |
note | string | null | No | — | Notes left for Purchase Orders |
overrideNumber | string | null | No | — | Custom number/identifier for Purchase Order |
reviewNote | string | null | No | — | Notes to be left for changes to be made when sending a Purchase Order for revision |
shippingAddress | object | No | — | Shipping address in the Purchase Order | |
shippingAddressId | number | null | No | — | Shipping address Id in the Purchase Order |
status | string | null | No | — | Please use the PATCH /purchaseorders/{id}/status endpoint instead. |
title | string | null | No | — | Title of the Purchase Order. Will be ignored if organization setting for custom purchase order titles is disabled. |
vendorContactIds | number[] | No | — | List of vendor contact IDs in the Purchase Order | |
vendorId | number | null | No | — | ID of vendor that this Purchase Order is associated with |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "number",
"description": "The id value"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"billingAddress": {
"type": "object",
"description": "Billing address in the Purchase Order",
"properties": {
"city": {
"type": "string",
"description": "The city value"
},
"country": {
"type": "string",
"description": "The country value"
},
"postalCode": {
"type": "string",
"description": "Postal Code"
},
"state": {
"type": "string",
"description": "The state value"
},
"street": {
"type": "string",
"description": "The street value"
},
"label": {
"type": "string",
"description": "A string to specify how the address will be displayed - Defaults to Street, City, Province/State, Postal Code, Country"
}
},
"required": [
"city",
"country",
"postalCode",
"state",
"street"
]
},
"billingAddressId": {
"type": [
"number",
"null"
],
"description": "Billing address Id in the Purchase Order"
},
"costs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number",
"description": "ID of the cost"
},
"name": {
"type": "string",
"description": "Description of the cost"
},
"type": {
"type": "string",
"enum": [
"AMOUNT_NON_TAXABLE",
"AMOUNT_TAXABLE",
"PERCENT_TAXABLE"
],
"description": "Type of cost in either cents or percent. Accepted types in cents are AMOUNT_TAXABLE and AMOUNT_NON_TAXABLE. For percentage use PERCENT_TAXABLE"
},
"amount": {
"type": "number",
"description": "The amount value"
}
},
"required": [
"name",
"type",
"amount"
]
},
"description": "List of costs in the Purchase Order"
},
"deletedAt": {
"type": [
"string",
"null"
],
"description": "Date at which the Purchase Order was deleted"
},
"dueDate": {
"type": [
"string",
"null"
],
"description": "Due date of Purchase Order"
},
"extraFields": {
"type": "object",
"description": "Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: \"Ordered Date\")"
},
"items": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number",
"description": "ID of the item"
},
"partId": {
"type": "number",
"description": "ID of the part this item is related to"
},
"name": {
"type": "string",
"description": "The name value"
},
"partNumber": {
"type": "string",
"description": "Part Number"
},
"price": {
"type": "number",
"description": "Total price of items in cents"
},
"quantityOrdered": {
"type": "number",
"description": "Represent the amount of units for this item that were ordered in the purchase order."
},
"unitCost": {
"type": "number",
"description": "Price of a single item in cents"
},
"extraFields": {
"type": "object",
"description": "Custom Fields on the entity. Deprecated: Use `lineExtraFields` instead."
},
"lineExtraFields": {
"type": "object",
"description": "Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: \"Ordered Date\")"
},
"quantityReceived": {
"type": "number",
"description": "Represents the total amount of this specific item that has been received to date."
}
},
"required": [
"quantityOrdered"
]
},
"description": "List of items in the Purchase Order"
},
"note": {
"type": [
"string",
"null"
],
"description": "Notes left for Purchase Orders"
},
"overrideNumber": {
"type": [
"string",
"null"
],
"description": "Custom number/identifier for Purchase Order"
},
"reviewNote": {
"type": [
"string",
"null"
],
"description": "Notes to be left for changes to be made when sending a Purchase Order for revision"
},
"shippingAddress": {
"type": "object",
"description": "Shipping address in the Purchase Order",
"properties": {
"city": {
"type": "string",
"description": "The city value"
},
"country": {
"type": "string",
"description": "The country value"
},
"postalCode": {
"type": "string",
"description": "Postal Code"
},
"state": {
"type": "string",
"description": "The state value"
},
"street": {
"type": "string",
"description": "The street value"
},
"label": {
"type": "string",
"description": "A string to specify how the address will be displayed - Defaults to Street, City, Province/State, Postal Code, Country"
}
},
"required": [
"city",
"country",
"postalCode",
"state",
"street"
]
},
"shippingAddressId": {
"type": [
"number",
"null"
],
"description": "Shipping address Id in the Purchase Order"
},
"status": {
"type": [
"string",
"null"
],
"description": "Please use the [PATCH /purchaseorders/{id}/status](#tag/Purchase-Orders/paths/~1purchaseorders~1{id}~1status/patch) endpoint instead."
},
"title": {
"type": [
"string",
"null"
],
"description": "Title of the Purchase Order. Will be ignored if organization setting for custom purchase order titles is disabled."
},
"vendorContactIds": {
"type": "array",
"items": {
"type": "number"
},
"description": "List of vendor contact IDs in the Purchase Order"
},
"vendorId": {
"type": [
"number",
"null"
],
"description": "ID of vendor that this Purchase Order is associated with"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_update_purchaseorders_fulfillment
Fulfill purchase order Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | number | Yes | — | The id value |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
items | any[] | No | — | List of items in the Purchase Order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "number",
"description": "The id value"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"items": {
"type": "array",
"description": "List of items in the Purchase Order"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_update_purchaseorders_status
Update purchase order status Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | number | Yes | — | The id value | |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
reviewNote | string | null | No | — | Notes to be left for changes to be made when sending a Purchase Order for revision |
status | string | No | — | Here is a list of valid status transitions: | Current Status | Allowed Transitions | Description | |---------------------|------------------------------------------|-------------------------------------------------------| | REQUESTED | CANCELED DECLINED PENDING | Initial state when PO is first created | | PENDING | APPROVED CANCELED DECLINED | PO is awaiting approval | | DECLINED | CANCELED PENDING | PO was rejected and needs revision | | APPROVED | CANCELED or start receiving items | PO is approved and items can be received | | PARTIALLY_FULFILLED| COMPLETED | Some items have been received | | CANCELED | None | PO has been canceled and cannot be modified | | COMPLETED | PARTIALLY_FULFILLED | All items have been received | Notes: - Status changes trigger notifications to relevant users and vendors - You can subscribe to status changes using webhooks - The DECLINED status is displayed as ‘Rejected’ in the application interface - Moving to PARTIALLY_FULFILLED happens automatically when items are received - Use the optional reviewNote field to provide feedback when declining a purchase order |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "number",
"description": "The id value"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"reviewNote": {
"type": [
"string",
"null"
],
"description": "Notes to be left for changes to be made when sending a Purchase Order for revision"
},
"status": {
"type": "string",
"description": "Here is a list of valid status transitions: | Current Status | Allowed Transitions | Description | |---------------------|------------------------------------------|-------------------------------------------------------| | `REQUESTED` | `CANCELED` `DECLINED` `PENDING` | Initial state when PO is first created | | `PENDING` | `APPROVED` `CANCELED` `DECLINED` | PO is awaiting approval | | `DECLINED` | `CANCELED` `PENDING` | PO was rejected and needs revision | | `APPROVED` | `CANCELED` or start receiving items | PO is approved and items can be received | | `PARTIALLY_FULFILLED`| `COMPLETED` | Some items have been received | | `CANCELED` | None | PO has been canceled and cannot be modified | | `COMPLETED` | `PARTIALLY_FULFILLED` | All items have been received | *Notes*: - Status changes trigger notifications to relevant users and vendors - You can subscribe to status changes using [webhooks](#tag/Subscriptions-and-Webhooks) - The `DECLINED` status is displayed as 'Rejected' in the application interface - Moving to `PARTIALLY_FULFILLED` happens automatically when items are received - Use the optional `reviewNote` field to provide feedback when declining a purchase order",
"enum": [
"APPROVED",
"CANCELED",
"COMPLETED",
"DECLINED",
"PARTIALLY_FULFILLED",
"PENDING"
]
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_update_vendors
Update vendor Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | integer | Yes | — | ID of the vendor | |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
description | string | null | No | — | The description value |
extraFields | object | No | — | Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Qualifications”) | |
name | string | No | — | The name value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the vendor"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"description": {
"type": [
"string",
"null"
],
"description": "The description value"
},
"extraFields": {
"type": "object",
"description": "Custom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: \"Qualifications\")"
},
"name": {
"type": "string",
"description": "The name value"
}
},
"required": [
"PCID",
"id"
]
}
maintainx_inventory_update_vendors_contacts
Update contact Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | integer | Yes | — | ID of the vendor | |
contactId | integer | Yes | — | ID of the contact | |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks | |
email | string | null | No | — | Email address of contact. |
extension | string | null | No | — | Phone number extension |
name | string | No | — | The name value | |
phoneNumber | string | null | No | — | Phone number of contact |
role | string | null | No | — | Role/Label of the contact. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the vendor"
},
"contactId": {
"type": "integer",
"description": "ID of the contact"
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"email": {
"type": [
"string",
"null"
],
"description": "Email address of contact."
},
"extension": {
"type": [
"string",
"null"
],
"description": "Phone number extension"
},
"name": {
"type": "string",
"description": "The name value"
},
"phoneNumber": {
"type": [
"string",
"null"
],
"description": "Phone number of contact"
},
"role": {
"type": [
"string",
"null"
],
"description": "Role/Label of the contact."
}
},
"required": [
"PCID",
"id",
"contactId"
]
}
maintainx_inventory_upload_parts_attachments
Update part attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the part. |
filename | string | Yes | — | Name of the attachment, including the extension. |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
body | object | Yes | — | Content type should be application/octet-stream and payload should use binary format for the attachment. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the part."
},
"filename": {
"type": "string",
"description": "Name of the attachment, including the extension."
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"body": {
"type": "object",
"description": "Content type should be `application/octet-stream` and payload should use binary format for the attachment."
}
},
"required": [
"PCID",
"id",
"filename",
"body"
]
}
maintainx_inventory_upload_parts_thumbnail
Update part’s thumbnail Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the part. |
filename | string | Yes | — | Name of the part thumbnail, including the extension. |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
body | object | Yes | — | Content type should be application/octet-stream and payload should use binary format for the thumbnail. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the part."
},
"filename": {
"type": "string",
"description": "Name of the part thumbnail, including the extension."
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"body": {
"type": "object",
"description": "Content type should be `application/octet-stream` and payload should use binary format for the thumbnail."
}
},
"required": [
"PCID",
"id",
"filename",
"body"
]
}
maintainx_inventory_upload_purchaseorders_attachments
Update purchase order attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the purchase order. |
filename | string | Yes | — | Name of the attachment, including the extension. |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
body | object | Yes | — | Content type should be application/octet-stream and payload should use binary format for the attachment. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the purchase order."
},
"filename": {
"type": "string",
"description": "Name of the attachment, including the extension."
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"body": {
"type": "object",
"description": "Content type should be `application/octet-stream` and payload should use binary format for the attachment."
}
},
"required": [
"PCID",
"id",
"filename",
"body"
]
}
maintainx_inventory_upload_purchaseorders_thumbnail
Update purchase order’s thumbnail Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the purchase order. |
filename | string | Yes | — | Name of the purchase order thumbnail, including the extension. |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
body | object | Yes | — | Content type should be application/octet-stream and payload should use binary format for the thumbnail. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the purchase order."
},
"filename": {
"type": "string",
"description": "Name of the purchase order thumbnail, including the extension."
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"body": {
"type": "object",
"description": "Content type should be `application/octet-stream` and payload should use binary format for the thumbnail."
}
},
"required": [
"PCID",
"id",
"filename",
"body"
]
}
maintainx_inventory_upload_vendors_attachments
Update vendor attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the vendor. |
filename | string | Yes | — | Name of the attachment, including the extension. |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
body | object | Yes | — | Content type should be application/octet-stream and payload should use binary format for the attachment. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the vendor."
},
"filename": {
"type": "string",
"description": "Name of the attachment, including the extension."
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"body": {
"type": "object",
"description": "Content type should be `application/octet-stream` and payload should use binary format for the attachment."
}
},
"required": [
"PCID",
"id",
"filename",
"body"
]
}
maintainx_inventory_upload_vendors_thumbnail
Update vendor’s thumbnail Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | ID of the vendor. |
filename | string | Yes | — | Name of the vendor thumbnail, including the extension. |
skipWebhook | boolean | No | — | Set skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks |
body | object | Yes | — | Content type should be application/octet-stream and payload should use binary format for the thumbnail. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "ID of the vendor."
},
"filename": {
"type": "string",
"description": "Name of the vendor thumbnail, including the extension."
},
"skipWebhook": {
"type": "boolean",
"description": "Set `skipWebhook=true`, `skipWebhook=1` or `skipWebhook=yes` to skip all webhooks upon successful operation on the endpoint. [Learn more about webhooks](#tag/Subscriptions-and-Webhooks)"
},
"body": {
"type": "object",
"description": "Content type should be `application/octet-stream` and payload should use binary format for the thumbnail."
}
},
"required": [
"PCID",
"id",
"filename",
"body"
]
}

